# Retrofit Singer 331K104

## Machine Specifications

* single needle straight lock-stitch 301
* suits, shirts, skirts and other clothing
* Max Speed: 2200 stitch/mm
* Production circa 1967

* https://www.manualslib.com/manual/154045/Singer-331k1.html

## Retrofit

* A sewing machine only turns one way, turn wheel toward operator / anti-clock
  Forward/Backward sewing is done mechanically (hook movement reversed)

### Add a rotary position sensor on the wheel

* To detect needle position : up, down
  can be two cams with a slotted optical sensor
* To get a tachometer signal for speed control
  can be a holed wheel with a slotted optical sensor

* AMS AS5132 Rotary Sensor
  8.5-bit rotary position sensor with digital angle (interface), ABI, UVW (up to 6 pole pairs) and PWM output
  https://ams.com/as5132

  360 positions per revolution
  Serial interface
  PWM output
  Incremental output with adjustable number of pulses
  Max RPM 72_900

* AMS AS5134
  https://ams.com/as5134
  https://ams.com/as5134#tab/shop-now
  https://www.mouser.fr/Search/Refine?Keyword=ams+AS5134
  ZSST / ZSSM ??? tape/reel ???
  8$/unit

### Motor Driver

AC Line
* https://en.wikipedia.org/wiki/IEC_60038
* V RMS = 230 V +/- 10% = [207, 253] V
  $V_RMS = \frac{V_Peak}{\sqrt(2)}$
  V Peak = 325 V max to 358 V
* 50Hz

* STM - Improved Universal Motor Drive
  https://www.st.com/resource/en/application_note/cd00003829-improved-universal-motor-drive-stmicroelectronics.pdf
* NXP - Open Loop Universal Motor Chopper Based 2004
  schema with transformless and push-pull BJT for IGBT
  https://www.nxp.com/docs/en/reference-manual/DRM057.pdf
* ON Semi - Low Cost Universal Chopper Drive System
  https://www.onsemi.com/pub/Collateral/AN1661-D.PDF
* DC Drive for Universal Motor
  http://www.komel.katowice.pl/ZRODLA/FULL/84/ref_02.pdf
* STM - Motor control Reference Guide 2021
  https://www.st.com/content/ccc/resource/sales_and_marketing/promotional_material/brochure/bf/aa/d0/60/38/83/43/74/Brochure_Motor_Control.pdf/files/Brochure_Motor_Control.pdf/jcr:content/translations/en.Brochure_Motor_Control.pdf

* https://www.st.com/en/power-transistors.html
* https://www.st.com/content/st_com/en/products/power-transistors/power-mosfets.html
  https://www.st.com/en/power-transistors/stpower-n-channel-mosfets-gt-350-v-to-700-v.html
* https://www.st.com/content/st_com/en/products/power-transistors/igbts.html
  https://www.st.com/en/power-transistors/600v-h-series-medium-speed-8-to-30-khz.html
* https://www.st.com/en/motor-drivers/gate-drivers.html
* https://www.st.com/en/motor-drivers/brushed-dc-motor-drivers.html#documentation

* https://www.infineon.com/cms/en/product/power/igbt/igbt-discretes/?filterValues=~(444_84_max~(leftBound~5~rightBound~15))&visibleColumnIds=name,opn,productStatusInfo,green,orderOnline,698_min,698_max,618,496_max,444_85_max,444_84_max,662_nom,551,397_nom,396_61_nom,460_max,550_nom,641,packageName,669_nom,673_nom,668_nom,670_nom,548_nom,463_max,476_nom,220_nom,449_max,694_nom,693#!products

* STM STGB10H60DF Trench gate field-stop IGBT, H series 600 V, 10 A high speeda
  https://www.st.com/en/power-transistors/stgb10h60df.html

* https://www.infineon.com/cms/en/product/power/gate-driver-ics/1edi05i12af/

* https://design.infineon.com

* https://makingcircuits.com/blog/making-a-transformerless-power-supply-circuit/
* https://www.homemade-circuits.com/cheap-yet-useful-transformerless-power/
* https://www.powerelectronicsnews.com/power-supply-design-notes-transformer-less-power-supply/

* https://www.powersystemsdesign.com/articles/the-art-of-generating-negative-voltages/95/9756
* https://www.newelectronics.co.uk/electronics-technology/the-best-way-to-generate-a-negative-voltage-for-your-system/167618/
  https://www.ti.com/product/TPS63710

* Designing for Board Level Electromagnetic Compatibility - NXP
  https://www.nxp.com/docs/en/application-note/AN2321.pdf
* https://incompliancemag.com/article/emi-in-components/
* https://www.maximintegrated.com/en/design/technical-documents/tutorials/1/1167.html
* https://www.ti.com/lit/an/snoa382/snoa382.pdf?ts=1619383422967

* https://www.quora.com/Why-would-you-place-a-capacitor-parallel-to-a-resistor

* https://en.wikipedia.org/wiki/Insulated-gate_bipolar_transistor

* Fundamentalsof MOSFETand IGBT Gate Driver Circuits - TI
  https://www.ti.com/lit/ml/slua618a/slua618a.pdf?ts=1619353660538
* Isolated Gate Drivers—What, Why, and How? - Analog
  https://www.analog.com/en/analog-dialogue/articles/isolated-gate-drivers-what-why-and-how.html

> The structure of an IGBT/power MOSFET is such that the gate forms a nonlinear capacitor. Charging
  the gate capacitor turns the power device on and allows current flow between its drain and source
  terminals, while discharging it turns the device off and a large voltage may then be blocked
  across the drain and source terminals. The minimum voltage when the gate capacitor is charged and
  the device can just about conduct is the threshold voltage (VTH). For operating an IGBT/power
  MOSFET as a switch, a voltage sufficiently larger than VTH should be applied between the gate and
  source/emitter terminals.

> Consider a digital logic system with a microcontroller that can output a PWM signal of 0 V to 5 V
  on one of its I/O pins. This PWM would not be enough to fully turn on a power device used in power
  systems, as its overdrive voltage generally exceeds the standard CMOS/TTL logic voltage. Thus, an
  interface is needed between the logic/control circuitry and the high power device.

## Examples of Machine Specifications

### Janome S9

* 1000 stitch/mm

### ZOJE ZJ-A6000-G

* Glasman 550,00€ HT

### JUKI DDL-8700

* https://jukieurope.com/en/ism/product/ddl-8700
* https://www.glasman.fr/a227/machine-a-coudre-industrielle-piqueuse-plate-juki-ddl8700-ddl8700.html
  820,00€ HT
* Matière ordinaire moyenne
* Longueur maximal du point: 5mm
* 5500 stitch/mm
* table 105,110 ou 120cm sur 55 ou 60cm
* SERVO Moteur éléctronique silencieux 220V

## Motor Retrofit

* https://www.glasman.fr/c9435/pieces-detachees/machine-a-coudre-indutriellle/moteurs

### POWERMAX AHU27-55 (Moteur éléctronique pour machine à coudre industrielle)

* http://www.powermaxtech.com/editor/attached/file/20150924132220_3095.pdf
* AHE58-55 Instruction Manual http://www.powermaxtech.com/editor/attached/file/20150601151348_3158.pdf

* https://camsew.com.au/Motors/PDF/CatPowemax.pdf

* https://www.glasman.fr/a12024/moteur-electronique-machine-a-coudre-insdustrielle.html
  300 €/TTC
* https://www.francemachinesacoudre.fr/Moteur-industriel-PowerMax-550-W-Moteur-Accessoires-PROFESSIONNELS/p/4/424/2036/
  270 €/HT
* https://www.fuse.it/montaggio/motori-c519

* 200-240 V
* 50-60 Hz
* input current 4A
* 5000 tours/min
* output power 550W
* output torque 1N.m
  soit 3kg pour une bielle de 30mm

* Motor ABC phases
* VCC 5V
* Encoder A/B
* Hall ABC
* Needle Up/Down
* Pedal analog 5V
* Lamp 5V
* Foot lifter electromagnet 24V
* Suction electromagnet 24V

**Positionneur d'aiguille pour machine à coudre SYNCHRONIZER**

* Boite de synchronizer externe, positionneur d'aiguille en bas de couture pour travail de précision
* Adaptable sur moteur powermax de machine à coudre électronique.
* 29 €/TTC
* **Se monte sur le volant**

->  330 €/TTC soit 1/3 prix d'une neuve, 1/2 d'une bonne occasion

### Autres

* https://www.sewtex.de/Motore--Gestell--Tischplatte--Zubehoer-fuer-Naehmaschinen--Stuehle--Leuchten--Transportwagen--Industriestuhl--Schere

* https://www.sewtex.de/Motore--Gestell--Tischplatte--Zubehoer-fuer-Naehmaschinen--Stuehle--Leuchten--Transportwagen--Industriestuhl--Schere/ZOJE-TZ-ZJ550W-S-Servomotor--Naehmaschinenmotor.html?XTCsid=63605956a6aad7369631c061c079a459
 Zoje AC Servo Motor TZ ZJ550W S mit Positionsgeber 550W 220Volt Speed bis 5500 RPM
 176€

* https://www.sewtex.de/Motore--Gestell--Tischplatte--Zubehoer-fuer-Naehmaschinen--Stuehle--Leuchten--Transportwagen--Industriestuhl--Schere/ZOJE-TZ-ZJ750W-S-Servomotor--Naehmaschinenmotor.html?XTCsid=63605956a6aad7369631c061c079a459
  Zoje AC Servo Motor TZ ZJ750W S mit Positionsgeber 750W 220Volt
  210€

* https://www.sewtex.de/Motore--Gestell--Tischplatte--Zubehoer-fuer-Naehmaschinen--Stuehle--Leuchten--Transportwagen--Industriestuhl--Schere/Powermax--AC-Servomotor--Motor-fuer-Naehmaschinen-BRUSHLESS-SERVO-MOTOR--Naehmaschinenmotor.html
  POWERMAX AC SERVO MOTOR LM-LTB400 mit Positionsgeber ( Nadel Positionierung ) 400W 220-230V
  205€

### Autres Chinoiserie

* ebay
  il y a des choses à partir de 100€ mais ???

* https://www.aliexpress.com

* https://www.jlperrin.com/166-moteur-de-machine-a-coudre-industrielle#
  min 200€

* SM750PG2 750W 199€
  https://www.mak.one/catalogue/index.php?main_page=product_info&cPath=5&products_id=5

* https://www.amazon.fr/VEVOR-Servomoteur-Industrielle-%C3%89conomiseur-d%C3%A9nergie/dp/B08L6LHLH7
  750W 120€
